Name:    	libatomic_ops
Version: 	7.6.14
Release: 	1
Summary: 	Atomic memory update operations
License: 	GPLv2
URL:     	https://github.com/ivmai/libatomic_ops/
Source0: 	http://github.com/ivmai/libatomic_ops/releases/download/v%{version}/libatomic_ops-%{version}.tar.gz
Patch1:         libatomic_ops-7.6.12-sw.patch

BuildRequires: 	gcc

%description
This package provides semi-portable access to hardware-provided
atomic memory update operations on a number of architectures.

%package 	devel
Summary: 	Development Package
Requires: 	%{name} = %{version}-%{release}
Provides:   %{name}-static = %{version}-%{release}

%description devel
The devel for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-shared --disable-silent-rules
%{?disable_rpath}
%make_build

%install
%make_install

%check
#%make_build check


%files
%license COPYING
%license doc/LICENSING.txt
%{_libdir}/libatomic_ops.so.1*
%{_libdir}/libatomic_ops_gpl.so.1*
%exclude %{_libdir}/*.la
%exclude %{_docdir}/libatomic_ops/{COPYING,README*,*.txt}

%files devel
%doc doc/README*
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops/
%{_libdir}/libatomic_ops.so
%{_libdir}/libatomic_ops_gpl.so
%{_libdir}/pkgconfig/atomic_ops.pc
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a

%files help
%doc AUTHORS ChangeLog README.md

%changelog
* Tue Oct 18 2022 dillon chen <dillon.chen@gmail.com> - 7.6.14-1
- update to 7.6.14

* Thu Jul 28 2022 wuzx<wuzx1226@qq.com> - 7.6.12-2
- add sw64 patch

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 7.6.12-1
- Upgrade to 7.6.12

* Wed Jan 1 2020 lihongjiang <lihongjiang6@huawei.com> - 7.6.10-2
- disable check temporarily due to can not find some dynamic library

* Fri Nov 1 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.6.10-1
- Upgrade to 7.6.10

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.6.6-2
- Package init
